Bug 177304 - [maintainer-update] net-mgmt/nagios: Update to Nagios 3.5.0
[maintainer-update] net-mgmt/nagios: Update to Nagios 3.5.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ruslan Makhmatkhanov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-23 09:00 UTC by jarrod
Modified: 2013-03-23 18:04 UTC (History)
0 users

See Also:


Attachments
net-mgmt-nagios-3.5.0.diff (2.27 KB, patch)
2013-03-23 09:00 UTC, jarrod
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jarrod 2013-03-23 09:00:00 UTC
Update to Nagios 3.5.0.

* Fixed bug #403: The "configuration" page of the webui doesn't use entity
  encoding when displaying the "command expansion" item
* Fixed bug #424: Nagios Core 3.4.4 seg fault (core dump) on restart after
  removing config for running service
* Updated CGI utility functions to support UTF-8 characters
* Fixed bug where selecting Command Expansion from Configuration CGI page
  would display commands instead
* Fixed bug #369: status.cgi crashes with segfault when there are German
  ulauts in the hostname or the servicename
* Fixed bug #418: Scheduled downtime notifications resent on restart/reload

Fix: See attached patch.
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2013-03-23 09:07:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 2 dfilter freebsd_committer 2013-03-23 16:04:02 UTC
Author: rm
Date: Sat Mar 23 16:03:53 2013
New Revision: 315043
URL: http://svnweb.freebsd.org/changeset/ports/315043

Log:
  - update to 3.5.0
  
  changelog:
  http://www.nagios.org/projects/nagioscore/history/core-3x
  
  PR:		177304
  Submitted by:	Jarrod Sayers <jarrod@downtools.com.au> (maintainer)

Modified:
  head/net-mgmt/nagios/Makefile
  head/net-mgmt/nagios/distinfo
  head/net-mgmt/nagios/files/patch-html-main.php

Modified: head/net-mgmt/nagios/Makefile
==============================================================================
--- head/net-mgmt/nagios/Makefile	Sat Mar 23 16:01:56 2013	(r315042)
+++ head/net-mgmt/nagios/Makefile	Sat Mar 23 16:03:53 2013	(r315043)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	nagios
-PORTVERSION=	3.4.4
+PORTVERSION=	3.5.0
 CATEGORIES=	net-mgmt
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}-3.x/${PORTNAME}-${PORTVERSION}
 

Modified: head/net-mgmt/nagios/distinfo
==============================================================================
--- head/net-mgmt/nagios/distinfo	Sat Mar 23 16:01:56 2013	(r315042)
+++ head/net-mgmt/nagios/distinfo	Sat Mar 23 16:03:53 2013	(r315043)
@@ -1,2 +1,2 @@
-SHA256 (nagios-3.4.4.tar.gz) = cf6c4c82c4d8dd42e5daae92c20682574f001f03d062600327372c8274fc338e
-SIZE (nagios-3.4.4.tar.gz) = 1786507
+SHA256 (nagios-3.5.0.tar.gz) = 469381b2954392689c85d3db733e8da4bd43b806b3d661d1a7fbd52dacc084db
+SIZE (nagios-3.5.0.tar.gz) = 1789376

Modified: head/net-mgmt/nagios/files/patch-html-main.php
==============================================================================
--- head/net-mgmt/nagios/files/patch-html-main.php	Sat Mar 23 16:01:56 2013	(r315042)
+++ head/net-mgmt/nagios/files/patch-html-main.php	Sat Mar 23 16:03:53 2013	(r315043)
@@ -1,10 +1,10 @@
---- html/main.php.orig	2013-01-12 23:51:46.000000000 +1030
-+++ html/main.php	2013-02-16 18:15:16.000000000 +1030
+--- html/main.php.orig	2013-03-15 21:44:02.000000000 +1030
++++ html/main.php	2013-03-23 17:40:32.000000000 +1030
 @@ -40,35 +40,10 @@
  <div class="product">Nagios<sup><span style="font-size: small;">&reg;</span></sup> Core<sup><span style="font-size: small;">&trade;</span></sup></div>
- <div class="version">Version 3.4.4</div>
- <div class="releasedate">January 12, 2013</div>
--<div class="checkforupdates"><a href="http://www.nagios.org/checkforupdates/?version=3.4.4&product=nagioscore" target="_blank">Check for updates</a></div>
+ <div class="version">Version 3.5.0</div>
+ <div class="releasedate">March 15, 2013</div>
+-<div class="checkforupdates"><a href="http://www.nagios.org/checkforupdates/?version=3.5.0&product=nagioscore" target="_blank">Check for updates</a></div>
  <!--<div class="whatsnew"><a href="http://go.nagios.com/nagioscore/whatsnew">Read what's new in Nagios Core 3</a></div>-->
  </div>
  
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-03-23 18:04:58 UTC
State Changed
From-To: open->closed

Committed, thanks.